dfns.dyalog.com - new policy

For users of dfns, both novice and expert

dfns.dyalog.com - new policy

Postby JohnS|Dyalog on Wed Jun 10, 2015 3:20 pm

Up until now, I have maintained the dfns webpages and downloadable sample workspaces using the oldest supported version of the interpreter - currently 13.1. This was so that the same workspaces and examples would be appropriate for users of any supported version of Dyalog.

Until I was faced recently with the prospect of converting some of Roger's elegant code into a pre-tally, pre-train, pre-key, pre-rank, ... version. I fell into a slough of despond, nay despair.

The new policy will be to maintain dfns.dws in the latest released version, but to preserve previous "legacy" downloads for older versions of the workspaces. See http://dfns.dyalog.com

The plan is to present any new code using V14.1 features and (very) gradually to tinker with the thousand or so existing web-pages to bring them up to date.

Hoping this won't inconvenience anyone; your patience appreciated; feedback welcome; etc.

John
User avatar
JohnS|Dyalog
 
Posts: 173
Joined: Wed Sep 10, 2008 10:01 am

Re: dfns.dyalog.com - new policy

Postby Phil Last on Fri Jun 12, 2015 8:49 am

John wrote:a slough of despond, nay despair

Perchance a "basingstoke of despair"?
User avatar
Phil Last
 
Posts: 464
Joined: Thu Jun 18, 2009 6:29 pm

Re: dfns.dyalog.com - new policy

Postby JohnS|Dyalog on Sat Jun 13, 2015 9:40 am

(Word to the wise: I would go easy on any dissing of Basingstoke, perceived or implied, if you plan to have dealings with Karen. Say you wanted to sleep indoors at the conference?)
User avatar
JohnS|Dyalog
 
Posts: 173
Joined: Wed Sep 10, 2008 10:01 am


Return to Functional Programming

Who is online

Users browsing this forum: No registered users and 1 guest